@import url("reset.css");

html, body {
    background-color: #fdf5e6; 
    color: #444;
    display: flex;
    flex-direction: column;
    font: 18px/1.5 -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    height: 100%;
    height: 100vh;
    justify-content: space-between;     
    padding: 0 10px;  
}

a {
    color: #444;
}

blockquote {
    border-left: 5px solid lightgrey;
    padding-left: 10px;
}

em {
    font-style: italic;
}

h1,h2,h3 {
    line-height: 1.2;
    margin: 2rem 0;
}

h1 {
    font-size: 2rem;
    font-weight: bold;
}

h2 {
    font-size: 1.5rem;
}

h3 {
    font-size: 1.2rem;
    font-weight: bold;
}




footer, nav, main {  
    margin: 0 auto;  
    padding: 10px 0;
    max-width: 650px;
    width: 100%;
}


footer {
    border-top: 1px solid #444;
    font-size: 12px;
    text-align: center;
}

img {
   /* max-height: 300px; */
   width: 100%;
}

main {
    flex: 1;  
    text-align: left; 
}

nav {
    border-bottom: 1px solid #444;
}

ol {
    display: block;
    list-style-type: decimal;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    padding-inline-start: 40px;
}

p {
    margin: 1rem 0;
}

strong {
    font-weight: bold;
}

ul {
    display: block;
    list-style-type: disc;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    padding-inline-start: 40px;
}


.nav-item {
    padding: 5px;
}

.nav-item-active {
    background-color: cyan;
}

.postlist {
    display: block;
    list-style-type: none;
    margin-block-start: 0;
    margin-block-end: 0;
    margin-inline-start: 0;
    margin-inline-end: 0;
    padding-inline-start: 0;
}

.postlist-item {    
    margin: 2rem 0;
}

.postlist-item:last-of-type {
    margin-bottom: 0px;
    padding-bottom: 0px;
}

.postlist-link {
    display: block;
    font-size: 1.2rem;
}

.postlist-date, .postlist-item > .tag {
    font-size: 0.8rem;
}

.postlist-summary {
    margin: 0;
}

.social {
    font-size: 1.5rem;
}

.time-container {
    display: flex;
    font-size: 0.8rem;
    font-style: italic;
    justify-content: space-between;
    margin: 1rem 0;
    
}



@media (prefers-color-scheme: dark) {
    body {
        color: white;
        background: #444
    }

    a:link {
        color: #5bf
    }

    a:visited {
        color: #ccf
    }
}
